package com.hai.service;

import com.hai.entity.HighGasOilGunNo;

import java.util.List;

/**
 * 油站枪号
 * @author hurui
 */
public interface HighGasOilGunNoService {

    /**
     * 编辑抢号
     * @param gasOilGunNo
     */
    void editGunNo(HighGasOilGunNo gasOilGunNo);

    /**
     * 删除抢号
     * @param id
     */
    HighGasOilGunNo getGunNoById(Long id);

    /**
     * 根据门店和抢号查询
     * @param storeId
     * @param gunNo
     * @return
     */
    HighGasOilGunNo getDetailByStoreAndGunNo(Long storeId, Integer gunNo);

    /**
     * 查询抢号列表
     * @param oilPriceId
     * @return
     */
    List<HighGasOilGunNo> getGunNoListByOilPrice(Long oilPriceId);

    /**
     * 根据门店 查询抢号列表
     * @param storeId
     * @return
     */
    List<HighGasOilGunNo> getGunNoListByStoreId(Long storeId);
}
